File: changelog

package info (click to toggle)
mono-tools 4.2-3
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 13,868 kB
  • sloc: cs: 100,909; sh: 3,845; makefile: 2,040; xml: 126
file content (631 lines) | stat: -rw-r--r-- 24,100 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
mono-tools (4.2-3) unstable; urgency=medium

  * [2e576f3] We know what we're doing - don't fail due to obsolete
    SharpZipLib warning (Closes: #921793)

 -- Jo Shields <joshield@microsoft.com>  Fri, 15 Feb 2019 15:16:04 -0500

mono-tools (4.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary Build-Depends on libgconf2.0-cil-dev and
    libgnome2.0-cil-dev (Closes: #888632)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Feb 2018 20:36:54 -0500

mono-tools (4.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [a4960e8] Don't Build-Depend on libwebkit-cil-dev (Closes: #871831)
  * [fbcd672] Drop ilcontrast and monodoc-browser since they won't work
    without webkit1

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Sep 2017 13:32:38 -0400

mono-tools (4.2-2) unstable; urgency=medium

  * [9adcc51] Don't depend on gmcs any more
  * [80b613c] Use Mono.Cecil package, not private Cecil from src:mono

 -- Jo Shields <jo.shields@xamarin.com>  Tue, 15 Nov 2016 16:12:44 +0000

mono-tools (4.2-1) unstable; urgency=medium

  * [5c7a2bd] Fix URL in debian/watch
  * [aea5393] Imported Upstream version 4.2
  * [4870edf] Refreshed debian/patches/00-fix_build_system.patch
  * [d8fb42a] Don't try to use gmcs

 -- Jo Shields <directhex@apebox.org>  Sun, 03 Jan 2016 15:25:03 +0000

mono-tools (3.10-1) unstable; urgency=medium

  * [25b8caf] Imported Upstream version 3.10
  * [1771e9d] Add missing source for minified Javascript (Closes: #737440)

 -- Jo Shields <directhex@apebox.org>  Wed, 08 Oct 2014 12:45:51 +0100

mono-tools (2.11+git20131009.5b1ef35-2) unstable; urgency=medium

  * No-change rebuild for libmono-csharp ABI bump.

 -- Iain Lane <laney@debian.org>  Thu, 10 Jul 2014 18:07:15 +0100

mono-tools (2.11+git20131009.5b1ef35-1) unstable; urgency=low

  * [fa21924] Imported Upstream version 2.11+git20131009.5b1ef35 
    (Closes: #577522, #713095)
  * [4a5d107] Remove obsolete patch 
    debian/patches/add_missing_Global.asax.patch
  * [c39b355] Remove obsolete patch 
    debian/patches/automake_devs_need_a_new_job
  * [85fc181] Stop trying to generate documentation indices systemwide. 
    This is better handled on a per-user basis by the monodoc browser 
    when run interactively. (Closes: #479491, #611790, #615986)
  * [c2aa8f0] Add zip to build-depends.
  * [967c86d] Override GMCS as well as MCS and DMCS
  * [d5577ab] Remove references in "make install" to files which don't exist.
  * [82d8593] Deal with replacement path to xmlextras.js

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Oct 2013 10:56:47 +0200

mono-tools (2.10-6) unstable; urgency=high

  * [3a59ba0] Remove trailing whitespace in postinst. (Closes: #682248)

 -- Iain Lane <laney@debian.org>  Mon, 23 Jul 2012 21:30:16 +0100

mono-tools (2.10-5) unstable; urgency=low

  * [f5fdaf0] Ignore failures in the postinst trigger. It's difficult to
    guarantee what's going to be available when the trigger is run. We might
    as well not fail if running any of the commands fails, since that's no
    worse than not registering the packages.
  * [8817190] Call gac-install instead of gac-package-install to install mono
    gac-package-install is for installing /packages/ into the GAC.
    gac-install is for initialising the gac itself. It wasn't right to call
    gac-package-install here. Also, check that required files exist before
    proceeding. (Closes: #681320)

 -- Iain Lane <laney@debian.org>  Thu, 12 Jul 2012 11:53:48 +0100

mono-tools (2.10-4) unstable; urgency=low

  * [51d46c9] When triggered, manually install mono bits. This is to work
    around dpkg bug #671711.

 -- Iain Lane <laney@debian.org>  Tue, 26 Jun 2012 19:08:51 +0100

mono-tools (2.10-3) unstable; urgency=low

  * [62da47c] Move update-monodoc trigger from monodoc-base (in mono)
    The commands being executed from the trigger are in monodoc-browser, so
    it makes sense for the trigger to be here too, then we don't have have
    base attempt to check if -browser is configured, which we could never
    get right.
    We need to have Replaces: and Breaks: monodoc-base (<< 2.10.8.1-3) for
    the moved update-monodoc. -3 is the version which will stop shipping
    update-monodoc; we need to make sure that users don't have this on their
    system after the trigger has moved. (LP: #972751)

 -- Iain Lane <laney@debian.org>  Wed, 04 Apr 2012 21:44:15 +0100

mono-tools (2.10-2) unstable; urgency=low

  * [7ad165c] Automake 1.11.2 enforces C-libs-only in pkglib, so use a 
    custom-defined programfilesdir for installing the main assembly.
  * [7dadf4c] Correct order of dh parameters
  * [873bd5b] Update debian/rules for DH8-compatible "--with cli"

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 16:58:04 +0000

mono-tools (2.10-1) experimental; urgency=low

  * [9259140] Imported Upstream version 2.10
  * [70ce238] Remove obsolete gnunit files which lead me astray when analysing the packaging
  * [742a1ce] Update build-depends for Mono 2.10
  * [323c002] Stop altering compression format on orig tarball in get-orig-source rule
  * [8bc1474] Replace use of external Quilt binary with Debian Source format 3.0's quilt support
  * [ea9bf26] Bump debhelper version in debian/control, so we can use overrides
  * [ed84820] No-change bump to Standards 3.9.2
  * [34420fb] Update Vcs-* lines to correct Git repositories, not abandoned Svn repositories
  * [c5038f9] Use dh-autoreconf rather than manually running the autoreconf commands in debian/rules
  * [57ae6d9] Strip needless rules file contents, leaving only overrides where needed
  * [1f862c0] Ensure we include cli.make, for dh_clideps et al
  * [efc3b7f] Remove obsolete patch 04-gendarme_link_libraries_correctly.patch (it's entirely pointless with mono-devel)
  * [2c98c4b] Refresh patch to alter build-time compiler
  * [8f50f99] Refresh list of apps installed with mono-tools (remove gasnview, add gd2i to gendarme)
  * [44c9c17] Install both versions of the Gendarme manpage
  * [2960e75] Since we're building Monodoc with a 4.0 compiler, use dh-xsp's 4.0 support
  * [557de9f] Remove obsolete PHONY entries from debian/rules
  * [4c8bfeb] Add build-dependency on GLib development packages - autoreconf fails without them
  * [9a3226a] Add Global.asax, from the upstream 2.10 tag on git. It seems this source file was missing from the tarballs, as such monodoc-http fails to run without it.
  * [4f93dd4] Ensure we build Gendarme with 2.0, not 4.0 profile (it's not 4.0-ready yet in 2.10)
  * [bab664f] Remove obsolete packaging files for monodoc-http
  * [7b5fcc5] Add a tiny .dirs file, to prevent ftbfs in manual cp line
  * [722a0b2] Remove bundled xmlextras from share, not lib
  * [49c6a8b] Launch xsp4 from monodoc-http script
  * [d0e0c44] Use correct path for monodoc-http
  * [bfe4225] Update patch to ensure Global.asax is copied by "make install"

 -- Jo Shields <directhex@apebox.org>  Thu, 05 May 2011 23:33:04 +0100

mono-tools (2.6.2-3) unstable; urgency=low

  * Upload to Debian Unstable.

 -- Jo Shields <directhex@apebox.org>  Mon, 13 Sep 2010 09:08:47 +0100

mono-tools (2.6.2-2) experimental; urgency=low

  * debian/control:
    + Add ${misc:Depends} liberally, due to debhelper recommendation
    + No-change bump to Standards 3.8.4
    + Add a manual dep on libmono-profiler to mono-profiler. This is
      not picked up by dh_clideps because it's not P/Invoked by the
      profiler apps - it's dlopened by the Mono runtime itself

 -- Jo Shields <directhex@apebox.org>  Tue, 08 Jun 2010 12:26:20 +0100

mono-tools (2.6.2-1) experimental; urgency=low

  * New upstream release
  * debian/rules:
    + Don't use ../tarballs in get-orig-source
  * debian/source/format:
    + Explicitly use DebSrc 1.0
  * debian/patches/00-fix_build_system.patch:
    + Refresh (mostly rendered irrelevant upstream)
  * debian/control,
    debian/mono-profiler.install:
    + Remove reference to dead .desktop files, add reference to
      emveepee tool
  * debian/control,
    debian/mono-tools-devel.install:
    + Add minvoke to mono-tools-devel
  * debian/rules,
    debian/control:
    + Use xmlextras.js from libjs-xmlextras, not the bundled copy
      (Closes: #584471)
  * debian/control:
    + Bump build-dep to Mono 2.6.3

 -- Jo Shields <directhex@apebox.org>  Mon, 07 Jun 2010 20:14:57 +0100

mono-tools (2.4.3-2) unstable; urgency=low

  * debian/control:
    + Add explicit build-dep on libnunit-cil-dev (Closes: #564407)
    + Update GNOME# build-deps for -dev transition

 -- Jo Shields <directhex@apebox.org>  Tue, 12 Jan 2010 12:58:08 +0000

mono-tools (2.4.3-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump Standards to 3.8.3
    + Raise mono-devel build-dep to 2.4.3, and strip out individual 
      library build-deps which are no longer needed
    + Use Webkit#'s -dev package (Closes: #559209, #561628)
  * debian/patches/05_fix_webkit_about_blank_signal.patch:
    + Drop, merged upstream
  * debian/patches/00-fix_build_system.patch:
    + Modify to use mono-csc command, not csc

 -- Jo Shields <directhex@apebox.org>  Fri, 18 Dec 2009 21:19:30 +0000

mono-tools (2.4.2-2) unstable; urgency=medium

  * debian/patches/05_fix_webkit_about_blank_signal.patch:
    + Fix Monodoc's WebKit engine to ignore spurious events indicating
      a request of about:blank. (Closes: #548520)

 -- Jo Shields <directhex@apebox.org>  Tue, 13 Oct 2009 00:42:18 +0100

mono-tools (2.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    + Long overdue update
  * debian/gnunit.install,
    debian/gnunit2.install,
    debian/gnunit.desktop,
    debian/gnunit2.desktop,
    debian/control:
    + Remove GNunit - abandoned upstream (Closes: #439835)
  * debian/monodoc.1,
    debian/monodoc-browser.manpages:
    + Provide a manpage for the "monodoc" command
  * debian/rules:
    + Enhance get-orig-source rule to produce consistent md5sums
  * debian/mono-tools-gui.install,
    debian/control:
    + Add mperfmon to the apps in mono-tools-gui
    + Add gsharp to the apps in mono-tools-gui
  * debian/control:
    + Bump to Standards version 3.8.2
    + Remove build-dependencies on web browser engines that aren't Webkit
      as we only install one anyway (Closes: #525775)
    + Remove seemingly pointless lynx Recommends on monodoc-browser, instead
      add www-browser as a Recommends on monodoc-http, with lynx as the
      suggested provider (although, let's face it, Firefox will provide it
      for most people)
    + Build-depends on NUnit 2.4, not 2.2
    + Add new gsharp dependencies
  * debian/monodoc-http.conffiles,
    debian/monodoc-http.dirs,
    debian/monodoc-http.hostxsp2,
    debian/monodoc-http.links,
    debian/monodoc-http.menu,
    debian/monodoc-http.desktop,
    debian/monodoc-http.install,
    debian/monodoc-http.manpages,
    debian/monodoc-http-script:
    + Add MonoDoc HTTP frontend (transplanted packaging files from old
      monodoc source package)
  * debian/mono-tools-devel.manpages,
    debian/mono-tools-gui.manpages:
    + Include as many manpages as upstream provide us with
  * debian/patches/02-startup_mono_path.patch,
    debian/patches/dont_bundle_cecil.patch:
    + Removed, obsoleted by upstream
  * debian/patches/03-mozilla_home.patch:
    + Removed, we don't care about Moz anymore
  * debian/patches/04-gendarme_link_libraries_correctly.patch:
    + Refreshed

 -- Jo Shields <directhex@apebox.org>  Tue, 07 Jul 2009 17:51:43 +0100

mono-tools (2.0-3) unstable; urgency=low

  [ Jo Shields ]
  * debian/control:
    + Add Vcs-* fields
  * debian/monodoc-browser.install:
    + Actually use Webkit# renderer, don't just build it and throw it away

  [ Sebastian Dröge ]
  * debian/control:
    + Build depend on libgnome2.24-cil for the GNOME# 2.24
      transition (Closes: #527783).
    + Update Standards-Version to 3.8.1. 

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 May 2009 08:54:21 +0200

mono-tools (2.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Versioned mono-devel build-dep using >= 2.0.1, as only that version
      contains the csc program.

 -- Mirco Bauer <meebey@debian.org>  Wed, 25 Feb 2009 23:32:46 +0100

mono-tools (2.0-1) experimental; urgency=low

  [ David Paleino ]
  * New upstream release
  * Group Policy:
    + implemented get-orig-source in debian/rules
  * debian/compat bumped to 7
  * debian/control:
    + Build-Depends:
      - added autotools-dev, autoconf, automake
      - added mono-devel
      - removed mono-mcs, mono-gmcs, mono-gac and mono-1.0-devel
      - added libmono-winforms2.0-cil
      - added libmono-webbrowser0.5-cil
      - removed libmono1.0-cil
      - debhelper bumped to (>= 7)
    + fixed spurious dot in long description
    + New binary packages:
      - mono-profiler, since these two related programs would have gone
                       into two different packages, and this is not nice
                       at all;
      - gendarme, because it would've been split into mono-tools-devel and
                  mono-tools-gui, like mono-profiler; because it uses 
                  System.Windows.Forms.
                  Added Conflicts and Replaces mono-tools-devel (<< 2.0),
                  since it was contained there.
    + Standards-Version bumped to 3.8.0 (no changes needed)
  * debian/rules:
    + implemented autotools files re-generation
  * debian/patches:
    + converted to quilt
    + 00-fix_build_system.patch added

  [ Mirco Bauer ]
  * debian/patches/dont_bundle_cecil.patch:
    + Don't copy the Mono.Cecil library during the build into the binary
      package, as it's already in the GAC.

 -- David Paleino <d.paleino@gmail.com>  Thu, 27 Nov 2008 00:12:02 +0100

mono-tools (1.9-2) unstable; urgency=medium

  * debian/control:
    + Removed libgecko2.0-cil and libxul-dev from build-dependencies.
    + Added libwebkit1.0-cil to build-dependencies.
    + Replaced libnunit2.2.6-cil build-dependency with libmono-nunit2.2-cil.
    + Moved pseudo homepage field of gendarme to real field.
    + Added extra space to lists in package description to make them verbatim.
      (Closes: #480336, #480343)
  * debian/patches/05_webkit-sharp_port.dpatch:
    + Link against webkit-sharp instead of gecko-sharp (xulrunner).
      (patch taken from upstream SVN, Closes: #480811, #488674)
  * debian/patches/00list:
    + Disabled 01_use_real_nunit, linking now against libmono-nunit2.2-cil
      instead of libnunit2.2.6-cil. (Closes: #487037)
  * debian/gnunit(2).desktop
    debian/gnunit(2).install:
    + Desktop files for the freedesktop menu.
      (thanks goes to benoit tuduri <tuduri.benoit@freesurf.Fr> for the patch,
       Closes: #478962)

 -- Mirco Bauer <meebey@debian.org>  Sun, 10 Aug 2008 14:20:01 +0200

mono-tools (1.9-1) unstable; urgency=low

  [ Sebastian Dröge ]
  * New upstream release:
    + debian/patches/04_gnome-sharp.patch:
      - Dropped, merged upstream.
    + debian/patches/03_mozilla-home.dpatch:
      - Updated to apply cleanly again.

  [ Mirco Bauer ]
  * debian/rules:
    + Use dh_clifixperms instead of find commands.
    + Enhanced error handling of "make clean".
  * debian/control:
    + Added libmono1.0-cil >= 1.9.1 to build-deps.
    + Added libmono-system-web2.0-cil to build-deps as needed by gendarme.
    + Updated cli-common-dev build-dep to >= 0.5.4, as we are using
      dh_clistrip from it now.
  * debian/watch:
    + Updated
  * debian/mono-tools-gui.install:
    + Added gui-compare.
  * debian/mono-tools-devel.install:
    + Added gendarme.

 -- Mirco Bauer <meebey@debian.org>  Fri, 02 May 2008 19:40:07 +0200

mono-tools (1.2.6-4) unstable; urgency=low

  * debian/control,
    debian/monodoc-browser.install,
    debian/patches/04_no-gtkhtml.dpatch:
    + Build and ship the GtkHTML backend of monodoc-browser again instead of
      the gecko one. This also enabled printing again.
  * debian/patches/04_gnome-sharp.patch:
    + Also link to gnome-sharp-2.0 as it's required by gnunit.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 Mar 2008 16:02:07 +0100

mono-tools (1.2.6-3) unstable; urgency=low

  [ Sam Hocevar ]
  * debian/patches/01_use_real_nunit.dpatch:
    + Look for nunit.pc instead of now deprecated nunit-2.2.pc.
    + Implement a few missing interface memebers that allow gnunit and gnunit2
      to build with newer versions of nunit. Now nunit-console, gnunit and
      gnunit2 are in sync and don't require rebuilds (Closes: #439835).

  * debian/control:
    + Build-depend on libnunit2.2.6-cil instead of libnunit2.2-cil.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 10 Jan 2008 14:26:41 +0000

mono-tools (1.2.6-2) unstable; urgency=low

  * debian/control:
    + Build depend on mono-1.0-devel for resgen to fix FTBFS (Closes: #458693).
  * debian/watch:
    + Update location (Closes: #449755).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 02 Jan 2008 20:12:51 +0100

mono-tools (1.2.6-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/04_no-gtkhtml.dpatch:
      - Updated for the new version.
    + debian/patches/03_mozilla-home.dpatch:
      - Updated for the new version.
  * debian/control:
    + Update Standards-Version to 3.7.3, no additional changes needed.
  * debian/monodoc-browser.menu:
    + Fix section of the menu file.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 13 Dec 2007 13:44:02 +0100

mono-tools (1.2.4-1) unstable; urgency=low

  * Sebastian 'slomo' Dröge:
    + New upstream release
    + debian/patches/03_glade-callbacks-sig.dpatch:
      - Dropped, merged upstream.
    + debian/patches/01_use_real_nunit.dpatch:
      - Updated.
    + debian/patches/03_mozilla-home.dpatch,
      debian/control,
      debian/monodoc-browser.install,
      debian/patches/04_no-gtkhtml.dpatch:
      - Use xulrunner instead of Mozilla and GtkHTML.
    + debian/control,
      debian/mono-tools-gui.install:
      - Add new ilcontrast application.
    + debian/mono-tools-gui.install:
      - Update manpage path.

  * Mirco 'meebey' Bauer:
    + debian/control:
      - Updated cli-common-dev build-dep to >= 0.4.4
      - Updated to use my Debian email address now.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 May 2007 23:50:22 +0200

mono-tools (1.2.3-2) unstable; urgency=low

  * Upload to unstable

 -- Sebastian Dröge <slomo@debian.org>  Sun, 15 Apr 2007 23:04:43 +0200

mono-tools (1.2.3-1) experimental; urgency=low

  * Sebastian 'slomo' Dröge:
    + New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Feb 2007 14:34:20 +0100

mono-tools (1.2.1-1) experimental; urgency=low

  * Sebastian 'slomo' Dröge:
    + New upstream release
    + debian/control,
      debian/mono-tools-gui.install,
      debian/mono-tools-devel.install:
      - Add packages for the random small mono-tools
    + debian/control:
      - Update to use my debian.org mail address

 -- Sebastian Dröge <slomo@debian.org>  Wed, 31 Jan 2007 10:05:14 +0100

mono-tools (1.1.17-1) unstable; urgency=low

  * Sebastian 'slomo' Dröge:
    + New upstream release
    + debian/patches/03_gtk-sharp2.dpatch,
      debian/patches/04_glade-callbacks.dpatch,
      debian/patches/05_empty-search.dpatch:
      - Dropped, merged upstream
    + debian/patches/03_glade-callbacks-sig.dpatch:
      - Fix signatures for the Glade callbacks (Closes: #391044)
    + debian/watch:
      - Updated location

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Tue, 17 Oct 2006 08:21:50 +0200

mono-tools (1.1.11-5) unstable; urgency=low

  * Sebastian 'slomo' Dröge:
    + debian/patches/04_glade-callbacks.dpatch:
      - Fix the signatures of the glade callback handlers.
        Fixes various crashes in monodoc-browser.
        Patch from upstream SVN (r63562)
    + debian/patches/05_empty-search.dpatch:
      - Don't crash when searching with an empty string.
        Patch from upstream SVN (r61357)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Tue,  3 Oct 2006 13:00:10 +0200

mono-tools (1.1.11-4) unstable; urgency=low

  * Sebastian 'slomo' Dröge
    + Acknowledge NMU (Closes: #363586)
    + debian/control:
      - Add myself to Uploaders
      - Build-Depend on the Gtk#2 variants of everything
      - remove the versioned Depends of monodoc-browser on libgnome-cil as
        this is not necessary anymore with libgnome2.0-cil
      - bump Standards-Version to 3.7.2
      - move dpatch from Build-Depends-Indep to Build-Depends
    + debian/patches/02_fix_buildsystem.dpatch:
      - dropped as it wasn't used anymore since ages
    + debian/patches/03_gtk-sharp2.dpatch:
      - build everything against Gtk#2

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun,  9 Jul 2006 02:56:21 +0200

mono-tools (1.1.11-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Let monodoc-browser depend on libgnome-cil (>= 1:1.0.10-5), so we are
    sure we get a version that pulls in a non-segfaulting libgtkhtml3.8-15.
    (Closes: #363586)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 11 Jun 2006 13:46:25 +0200

mono-tools (1.1.11-3) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + Rebuild against libnunit2.2-cil 2.2.0-3
    + Updated cli-common build-dep to cli-common-dev >= 0.4.0
    + Moved debhelper build-dep-indep to build-dep.
    + Updated FSF's snail-mail address in debian/copyright.
    + Added binary-arch target to debian/rules.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 30 Apr 2006 00:58:32 +0200

mono-tools (1.1.11-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + Rebuild against Mono 1.1.13.6-3
    + debian/control:
      - Updated build-deps for Mono 1.1.13.6-2 split. (Closes: #363651, #351651)
    + debian/patches/01_use_real_nunit.dpatch:
      - Updated to use nunit-2.2 instead of nunit.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 23 Apr 2006 13:21:01 +0200

mono-tools (1.1.11-1) unstable; urgency=low

  * New upstream release
    + monodoc.desktop contains now proper Exec line (Closes: #341287)
  * Mirco 'meebey' Bauer
    + Split gnunit2 into own package because of Mono class library 2.0
      dependency.
    + debian/control:
      - Bumped debhelper build-dep to >= 5.0.0
      - Changed Build-Depends to Build-Depends-Indep
    + debian/compat:
      - Changed to 5.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 15 Jan 2006 14:28:43 +0100

mono-tools (1.1.10-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + debian/control:
      - Added "Replaces: monodoc-base (<< 1.1.9)" to monodoc-browser for smooth
        upgrades from 1.0.x versions.
    + debian/monodoc-browser.install:
      - Added GtkHtmlHtmlRender.dll, new renderer for MonoDoc Browser.
      - Removed GeckoHtmlRender.dll, it's less stable than GtkHTML.
    + Removed 02_fix_buildsystem.dpatch, already applied upstream.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Tue, 15 Nov 2005 15:54:49 +0100

mono-tools (1.1.9-3) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + debian/control:
      - Added mono-mcs and mono-gmcs to build-depends.
    + debian/rules:
      - Clean target tries to be more clean now, "make clean" isn't.
      - Added clean-patched target.
    + debian/patches/02_fix_buildsystem.dpatch:
      - Fixes "make distclean"
        (thanks to Ingo Saitz <ingo@debian.org> for the patch)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Wed, 12 Oct 2005 10:55:29 +0200

mono-tools (1.1.9-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + debian/control:
      - Added dpatch to build-depends. (Closes: #331610)
    + debian/patches/01_use_real_nunit.dpatch:
      - Updated to use nunit.pc instead of nunit-core.pc

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Wed, 5 Oct 2005 10:25:47 +0200

mono-tools (1.1.9-1) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + Initial Release.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 25 Sep 2005 19:40:02 +0200